<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
  </head>
  <body></body>
</html>

<script>
  var names = ["alpha", "beta", "gamma", "delta"];
  var [a, b, c, d] = names;
  console.log(a + ", " + b);
  console.log(a + ", " + c);
  console.log(a + ", " + c + ", " + d);

  const marks = {
    section1: { alpha: 15, beta: 16 },
    section2: { alpha: -31, beta: 19 },
  };
  var {section1} = marks;
  console.log(section1);
  var {section1: {alpha}} = marks;
  console.log(alpha);

  var marks2 = {x: 21, y: -34, z: 47 }; 
  var {y} = marks2;
  console.log(y);
</script>
